Show / Hide Table of Contents

# Struct AddonActionDoubleCrossBase

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AddonActionDoubleCrossBase

### Fields

| Improve this Doc View Source

#### ActionBarBase

##### Declaration

    public AddonActionBarBase ActionBarBase

##### Field Value

Type | Description
--- | ---
AddonActionBarBase |

| Improve this Doc View Source

#### BarTarget

The ID of the hotbar in RaptureHotbarModule that this action bar is currently referencing.

##### Declaration

    public byte BarTarget

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MergedPositioning

Set to 1 when the WXHB is in "merged positioning" mode with the normal cross hotbar.

##### Declaration

    public byte MergedPositioning

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ShowDPadSlots

Set to 1 when the WXHB is showing the directional pad inputs as well as the action button inputs.

##### Declaration

    public byte ShowDPadSlots

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### UseLeftSide

Use the left side (slots 0-7) of the hotbar specified in BarTarget.

##### Declaration

    public byte UseLeftSide

##### Field Value

Type | Description
--- | ---
System.Byte |

##### Remarks

In effect, when this is false, it means any given HotBarSlot will be at index +8 from the index in the UI.